<html>
<head>
<title>OGRE: Ogre::VertexData::HardwareAnimationData Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1VertexData.html">VertexData</a>::<a class="el" href="structOgre_1_1VertexData_1_1HardwareAnimationData.html">HardwareAnimationData</a></div>
<h1>Ogre::VertexData::HardwareAnimationData Struct Reference</h1><!-- doxytag: class="Ogre::VertexData::HardwareAnimationData" -->Struct used to hold hardware morph / pose vertex data information.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1VertexData_1_1HardwareAnimationData-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexData_1_1HardwareAnimationData.html#b9b4d7352c1007e75e944f499bb641ae">targetVertexElement</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexData_1_1HardwareAnimationData.html#3ebd1f099d030853fd1ac0fc2f50abb9">parametric</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct used to hold hardware morph / pose vertex data information. 
<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00069">69</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b9b4d7352c1007e75e944f499bb641ae"></a><!-- doxytag: member="Ogre::VertexData::HardwareAnimationData::targetVertexElement" ref="b9b4d7352c1007e75e944f499bb641ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a>* <a class="el" href="structOgre_1_1VertexData_1_1HardwareAnimationData.html#b9b4d7352c1007e75e944f499bb641ae">Ogre::VertexData::HardwareAnimationData::targetVertexElement</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00071">71</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3ebd1f099d030853fd1ac0fc2f50abb9"></a><!-- doxytag: member="Ogre::VertexData::HardwareAnimationData::parametric" ref="3ebd1f099d030853fd1ac0fc2f50abb9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VertexData_1_1HardwareAnimationData.html#3ebd1f099d030853fd1ac0fc2f50abb9">Ogre::VertexData::HardwareAnimationData::parametric</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00072">72</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:09 2008
</p>
</body>
</html>
